<?php


namespace App\ViewModels\TipoProcedimento\TipoProcedimentoDetailsViewModel;

use App\Utils\Builder;

class TipoProcedimentoDetailsViewModelBuilder implements Builder
{

    protected $id;
    protected $descricao;

    public function setId(int $id) : TipoProcedimentoDetailsViewModelBuilder
    {
        $this->id = $id;
        return $this;
    }
    public function setDescricao(string $descricao) : TipoProcedimentoDetailsViewModelBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build() : TipoProcedimentoDetailsViewModel
    {
        $tipo_procedimento_details_vm = new TipoProcedimentoDetailsViewModel();
        $tipo_procedimento_details_vm->setid($this->id);
        $tipo_procedimento_details_vm->setdescricao($this->descricao);
        return $tipo_procedimento_details_vm;
    }
}